<?php

 $iTunesApp = new COM("iTunes.Application");		//Create COM Object for iTunes, iTunesApp

?>

<html>
 <head>
  <title>iTunes Remote Control</title>
  <style type="text/css" id="vbulletin_css">
   <!--
    a:link {
	 color: black;
	 text-decoration: none;
    }
    a:visited {
	 color: black;
	 text-decoration: none;
    }
    a:hover, a:active {
	 color: red;
	 text-decoration: none;
    }
    td.bordered { 
	 border: 1px solid #edf3fe;
    }	
   -->
  </style>
 </head>
 <body bgcolor="black">

  <?php
   $library = $iTunesApp->LibraryPlaylist();		//get the library
   $libraryTracks = $library->Tracks();			    //get the track listing

   $trackCount = $libraryTracks->Count();			//how many tracks?
   $allTracks = array();
   
   for ($itemNo = 1; $itemNo <= $trackCount; $itemNo++) {	

    $track = $libraryTracks->Item($itemNo);			//Create item for each track, called $track, may not need
    $date = $libraryTracks->Item($itemNo)->DateAdded();
    $artist = $libraryTracks->Item($itemNo)->Artist();
    $album = $libraryTracks->Item($itemNo)->Album();
    $genre = $libraryTracks->Item($itemNo)->Genre();
    $title = $libraryTracks->Item($itemNo)->Name();
    $allTracks[] = array("track" => $track, "id" => $itemNo, "artist" => $artist, "album" => $album, "genre" => $genre, "title" => $title, "date" => $date);	//push array of track and trackid onto alltracks array

   }

   $showList = $allTracks;					//Default showlist to alltracks in order of library (by dateadded)

//Sort alltracks

if(isset($_GET["sortby"])) {

//By artist

   if($_GET["sortby"]=="artist") {
	function acmp($a, $b){
		$sortresult = strcasecmp($a["artist"], $b["artist"]);
		if ($sortresult == 0) {
			$sortresult = strcasecmp($a["date"], $b["date"]);
		}
		return $sortresult;
	}
	usort($showList, "acmp");
   }
	
//By album

   if($_GET["sortby"]=="album") {
	function acmp($a, $b){
		$sortresult = strcasecmp($a["album"], $b["album"]);
		if ($sortresult == 0) {
			$sortresult = strcasecmp($a["date"], $b["date"]);
		}
		return $sortresult;
	}
	usort($showList, "acmp");
   }

//By genre

   if($_GET["sortby"]=="genre") {
	function acmp($a, $b){
		$sortresult = strcasecmp($a["genre"], $b["genre"]);
		if ($sortresult == 0) {
			$sortresult = strcasecmp($a["date"], $b["date"]);
		}
		return $sortresult;
	}
	usort($showList, "acmp");
   }

//By title

   if($_GET["sortby"]=="title") {
	function acmp($a, $b){
		$sortresult = strcasecmp($a["title"], $b["title"]);
		if ($sortresult == 0) {
			$sortresult = strcasecmp($a["date"], $b["date"]);
		}
		return $sortresult;
	}
	usort($showList, "acmp");
   }

}

  ?>

 <table border=0 cellspacing=0 cellpadding=1 width=800>
  <tr bgcolor=#dddddd><td class="bordered">&nbsp;</td><td class="bordered"><a href="library.php?sortby=title">Title</a></td><td class="bordered">Time</td><td class="bordered"><a href="library.php?sortby=artist">Artist</a></td><td class="bordered"><a href="library.php?sortby=album">Album</a></td><td class="bordered"><a href="library.php?sortby=genre">Genre</a></td></tr>
   <?php 
    $shade = "1";
    $display_count = 0;
    foreach ($showList as $track) { 
     $display_count += 1;
     $trackId = $track['id'];
     if ($shade == "1") { 
      echo "<tr bgcolor=#edf3fe>"; 
      $shade = "0";
     } else { 
      echo "<tr bgcolor=#ffffff>"; 
      $shade = "1";
     }
     echo "<td align=center><a href='javascript:void()' onClick='top.playerframe.location.href=\"Play.php?track=$trackId\";'><img src=play.gif border=0></a></td>";
     echo "<td align=left>", $track['track']->Name(), "</td>";
     echo "<td align=left>", $track['track']->Time(), "</td>";
     echo "<td align=left>", $track['track']->Artist(), "</td>";
     echo "<td align=left>", $track['track']->Album(), "</td>";
     echo "<td align=left>", $track['track']->Genre(), "</td>";
     echo "</tr>";
    }
    echo "<tr bgcolor=#dddddd><td align=right colspan=6>", $display_count, " songs</td></tr>";
   ?>
  </table>

</body>
</html>
