<?php

 $iTunesApp = new COM("iTunes.Application");		//Create COM Object for iTunes, iTunesApp
 $current = $iTunesApp->CurrentTrack();			//Set current to the currently playing track
 $pstate = $iTunesApp->PlayerState();			//Set pstate to the state of the player (playing/paused)

if (isset($current))
{
$display_artist = $current->Artist();
$display_name = $current->Name();
if (($iTunesApp->PlayerPosition%60) < 10) { $display_sec = '0'.$iTunesApp->PlayerPosition%60;} else {$display_sec = $iTunesApp->PlayerPosition%60;};
$display_time = ' ('.floor($iTunesApp->PlayerPosition/60).':'.$display_sec.' - '.$current->Time().')';
$display_rating = $current->Rating();
}
else
{
$display_name = "No track selected";
$display_artist = "";
$display_time = " ";
}

?>

<html>
 <head>
  <title>iTunes Remote Control</title>
  <style type="text/css" id="vbulletin_css">
   <!--
    a:link {
	 color: black;
	 text-decoration: none;
    }
    a:visited {
	 color: black;
	 text-decoration: none;
    }
    a:hover, a:active {
	 color: black;
	 text-decoration: none;
    }
   -->
  </style>
 <META HTTP-EQUIV=Refresh CONTENT="20; URL=player.php">
 </head>
 <body bgcolor="black" >
  <!-- Setup the "GUI" -->
  <table border="0" cellspacing="0" cellpadding="0" width="596" height="65">
   <col width="1">
   <col width="44">
   <col width="41">
   <col width="35">
   <col width="475">
   <col width="50">

   <tr>
    <td width="596" height="1" colspan="5"></td>
   </tr>
   <tr><!-- Table creating the interface.  Editing these numbers moves stuff around -->
    <td width="1" height="64"></td>
    <td height="64" valign="top"><img src="prvup.png" usemap = "#prv" border="0" width="44" height="64"></td>
    <td height="64" valign="top"><?php if ( $pstate == 1 ) {echo '<img src="pauseup.png"';} else {echo '<img src="playup.png"';} ?>usemap = "#play" border="0" width="41" height="64"></td> <!-- This PHP script checks to see weather the iTunes is playing or paused and inserts the correct graphic accordingly -->
    <td height="64" valign="top"><img src="nextup.png" usemap = "#next" border="0" width="35" height="64" ></td>
    <td height="64" valign="top"><img src="Thingy.png" width="475" height="64"></td>
    <td height="64" valign="middle"><img src="
<?php
	if (!(isset($display_rating))||($display_rating < 20)) {$imgstring='stars0.png';}
	elseif ($display_rating < 40) {$imgstring='stars1.png';}
	elseif ($display_rating < 60) {$imgstring='stars2.png';}
	elseif ($display_rating < 80) {$imgstring='stars3.png';}
	elseif ($display_rating < 100) {$imgstring='stars4.png';}
	elseif ($display_rating == 100) {$imgstring='stars5.png';}
	echo $imgstring;
?>
" usemap = "#rating" border="0" width="70" height="16"></td>
   </tr>
   <tr> <!-- workaround for IE table layout bug -->
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
   </tr>
  </table>

<!-- Create clickable volume interface 75 pixels wide with invisible gifs -->

<div id="clickablevolume" style="position:absolute;left:25;top:33;width:0;height:0;z-index:3;">
   <table border="0" cellspacing="0" cellpadding="0" width="0">
    <tr>
<?php

//Use php to create 75 volume units as table cells, each clickable with its associated volume setting

for ($i=0; $i<=75; $i++) {
	echo "<td nowrap height='44' align='center'><a href='Volume.php?n=".($i*1.333333)."'><img src='blank.gif' border='0' width='1' height='12'></td>";
}
?>
    </tr>
   </table>     
  </div>

<!-- position the volume control button from 25 to 100 pixels, based upon Soundvolume percentage returned -->
    
  <div id="e2" style="position:absolute;left:<?php echo 20 + $iTunesApp->SoundVolume*0.75 ?> ;top:<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?>32<?php } else { ?>39<?php } ?>;width:0;height:0;z-index:2;">
   <table border="0" cellspacing="0" cellpadding="0" width="0">
    <tr>
     <!--  The HTTP_USER_AGENT code checks to see if the browser if IE or not.  This fixes layout issues -->
     <td nowrap height=<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?> "44" <?php } else { ?> "30" <?php } ?> align="center"><img src="control.png" border="0" width="12" height="12" ></td>
    </tr>
   </table>     
  </div>
  
  <div id="e1" style="position:absolute;left:252;top:<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?>0<?php } else { ?>5<?php } ?>;width:307;height:25;">
   <table border="0" cellspacing="0" cellpadding="0" width="307">
    <tr>
     <!--  The HTTP_USER_AGENT code checks to see if the browser if IE or not.  This fixes layout issues -->
     <!--  Then, it outputs the track name of the currently playing/paused song -->
     <td nowrap height=<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?> "44" <?php } else { ?> "30" <?php } ?> align="center"><span class="text"><font face="Tahoma" size="2"><span style="font-size:14px;line-height:14px;"> <?php echo $display_name; ?> <br soft></span></font></span></td>
    </tr>
   </table>
  </div>
  
  <div id="e0" style="position:absolute;left:252;top:<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?>23<?php } else { ?>28<?php } ?>;width:308;height:25;">
   <table border="0" cellspacing="0" cellpadding="0" width="308">
    <tr>
     <!-- Artist -->
     <td nowrap height= <?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE')){ ?> "30" <?php } else { ?> "22" <?php } ?> align="center" ><span class="text"><font face="Tahoma" size="2"><span style="font-size:12px;line-height:14px;"> <?php echo $display_artist; echo $display_time ?> <br soft></span></font></span></td>
    </tr>
   </table>
  </div>

  <!-- I used image maps to create buttons -->
  <map name = "next"><area shape="rect" coords="2,11,30,39" href="Forward.php" target="_self">
  <map name = "prv"><area shape="rect" coords="13,10,41,40" href="Back.php" target="_self">
  <map name = "play"><area shape="rect" coords="3,8,38,44" href="play.php?track=" target="_self">
  <map name = "rating">
	<area shape="rect" coords="0,0,14,16" href="Rating.php?rating=1" target="_self">
	<area shape="rect" coords="0,0,27,16" href="Rating.php?rating=2" target="_self">
	<area shape="rect" coords="0,0,40,16" href="Rating.php?rating=3" target="_self">
	<area shape="rect" coords="0,0,54,16" href="Rating.php?rating=4" target="_self">
	<area shape="rect" coords="0,0,70,16" href="Rating.php?rating=5" target="_self">

 </body>
</html>

